Submit bills verification challenge
curl --request POST \
--url https://platform.spritz.finance/v1/bills/submit_verification/{activationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"responses": [
{
"value": "<string>",
"questionId": "<string>"
}
]
}
'import requests
url = "https://platform.spritz.finance/v1/bills/submit_verification/{activationId}"
payload = { "responses": [
{
"value": "<string>",
"questionId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({responses: [{value: '<string>', questionId: '<string>'}]})
};
fetch('https://platform.spritz.finance/v1/bills/submit_verification/{activationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activationId": "<string>",
"verification": {
"challenge": {
"questions": [
{
"id": "<string>",
"prompt": "<string>",
"options": [
{
"id": "<string>",
"text": "<string>"
}
]
}
]
}
},
"liabilitiesSynced": 123,
"syncedAt": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true
}Bills
Submit bills verification challenge
Submits challenge responses for an in-progress bills activation verification flow.
POST
/
v1
/
bills
/
submit_verification
/
{activationId}
Submit bills verification challenge
Authorizations
bearerAuthintegratorJwthmacAuth & integratorKey & timestamp
Cognito JWT token for regular user authentication
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Minimum array length:
1Show child attributes
Show child attributes
⌘I